Strophe: XMPP::Connection Class Reference

Strophe 0.9 XMPP client library

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
XMPP::Connection Class Reference

## Public Member Functions
virtual | ~Connection ()
Connection * | clone ()
void | operator delete (void *p)
const char * | getJID ()
void | setJID (const char *const jid)
const char * | getPass ()
void | setPass (const char *const pass)
bool | connectClient (const char *const domain, xmpp_conn_handler callback, void *const userdata)
void | disconnect ()
void | send (Stanza *stanza)
void | addTimedHandler (xmpp_timed_handler handler, const unsigned long perdio, void *const userdata)
void | deleteTimedHandler (xmpp_timed_handler handler)
void | addHandler (xmpp_handler handler, const char *const ns, const char *const name, const char *const type, void *const userdata)
void | deleteHandler (xmpp_handler handler)
void | addIdHandler (xmpp_handler handler, const char *const id, void *const userdata)
void | deleteIdHandler (xmpp_handler handler)

## Static Public Member Functions
static Connection * | create (Context *ctx)

## Private Member Functions
void * | operator new (size_t size, Context *ctx)
| Connection (Context *ctx)

## Private Attributes
Context * | m_ctx
xmpp_conn_t * | conn

## Constructor & Destructor Documentation

## § Connection()

XMPP::Connection::Connection | ( | Context * | ctx | ) |
| private

## § ~Connection()

virtual XMPP::Connection::~Connection | ( |  | ) |
| virtual

## Member Function Documentation

## § operator new()

void* XMPP::Connection::operator new | ( | size_t | size,
|  | Context * | ctx
| ) |  |
| private

## § create()

static Connection* XMPP::Connection::create | ( | Context * | ctx | ) |
| static

## § clone()

Connection* XMPP::Connection::clone | ( |  | ) |

## § operator delete()

void XMPP::Connection::operator delete | ( | void * | p | ) |

## § getJID()

const char* XMPP::Connection::getJID | ( |  | ) |

## § setJID()

void XMPP::Connection::setJID | ( | const char *const | jid | ) |

## § getPass()

const char* XMPP::Connection::getPass | ( |  | ) |

## § setPass()

void XMPP::Connection::setPass | ( | const char *const | pass | ) |

## § connectClient()

bool XMPP::Connection::connectClient | ( | const char *const | domain,
|  | xmpp_conn_handler | callback,
|  | void *const | userdata
| ) |  |

## § disconnect()

void XMPP::Connection::disconnect | ( |  | ) |

## § send()

void XMPP::Connection::send | ( | Stanza * | stanza | ) |

## § addTimedHandler()

void XMPP::Connection::addTimedHandler | ( | xmpp_timed_handler | handler,
|  | const unsigned long | perdio,
|  | void *const | userdata
| ) |  |

## § deleteTimedHandler()

void XMPP::Connection::deleteTimedHandler | ( | xmpp_timed_handler | handler | ) |

## § addHandler()

void XMPP::Connection::addHandler | ( | xmpp_handler | handler,
|  | const char *const | ns,
|  | const char *const | name,
|  | const char *const | type,
|  | void *const | userdata
| ) |  |

## § deleteHandler()

void XMPP::Connection::deleteHandler | ( | xmpp_handler | handler | ) |

## § addIdHandler()

void XMPP::Connection::addIdHandler | ( | xmpp_handler | handler,
|  | const char *const | id,
|  | void *const | userdata
| ) |  |

## § deleteIdHandler()

void XMPP::Connection::deleteIdHandler | ( | xmpp_handler | handler | ) |

## Field Documentation

## § m_ctx

Context* XMPP::Connection::m_ctx
| private

## § conn

xmpp_conn_t* XMPP::Connection::conn
| private

The documentation for this class was generated from the following file:

- strophepp.h